Bug 1270621 - Eclipse crashes on open with java issue(broken dependencies?)
Eclipse crashes on open with java issue(broken dependencies?)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 19:52 EDT by Sara
Modified: 2015-10-23 13:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 13:22:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
errorlog (9.34 KB, text/plain)
2015-10-11 19:52 EDT, Sara
no flags Details

  None (edit)
Description Sara 2015-10-11 19:52:29 EDT
Created attachment 1081837 [details]
errorlog

Description of problem:
Installing eclipse from the fedora repos results in eclipse crashing outright, error log points to a oracle java error but using openjdk also crashes. Using eclipse from the eclipse website installer works fine

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.install eclipse-platform
2.launch eclipse
3. crashes on launch

Actual results:


Expected results:
should launch fine

Additional info:
Comment 1 Sara 2015-10-11 20:47:26 EDT
Doing dnf install eclipse-* fixed it, it installed about 1044 packages tough, and took quite awhile to launch with so many plugins, would be hard for me to know which is the broken dependency. But seems like broken dependencies
Comment 2 Roland Grunberg 2015-10-13 10:08:06 EDT
I believe the issue should be resolved by http://pkgs.fedoraproject.org/cgit/eclipse-jgit.git/commit/?id=47de08fa3d2edaa30e23bba05ebdacedd13dd8ea ( which Mat has backported to f22 ). The fix is currently in updates-testing.

If you're able to remove all those plugins and trigger the error again, you would just need to confirm that '/usr/share/eclipse/dropins/jgit/eclipse/plugins/org.apache.geronimo.specs.geronimo-jms_1.1_spec_1.1.1.jar' is a broken symlink. This would have caused the issue.
Comment 3 Fedora Update System 2015-10-14 04:55:19 EDT
eclipse-jgit-4.1.0-4.fc22 tycho-0.23.0-5.fc22.3 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1eb7d762a4
Comment 4 Fedora Update System 2015-10-23 13:22:13 EDT
eclipse-jgit-4.1.0-4.fc22, tycho-0.23.0-5.fc22.3 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.